Bug 130586 - Incorrect currentpage after changing the layout, undo and redo
Summary: Incorrect currentpage after changing the layout, undo and redo
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-11 11:38 UTC by Xisco Faulí
Modified: 2022-02-11 03:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-11 11:38:26 UTC
This is a follow-up of bug 130440

Steps to reproduce:
1. Open Impress
2. New Slide
3. Change layout
4. Undo 2 times
5. Redo 2 times

-> CurrentPage is 1. it should be the second

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 5d00a1c9c6e85f3d7a3e05ab485da79980c38d44
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-02-11 11:39:25 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks
 7624b68638d636b960715a18027163794d32fefc is the first bad commit
commit 7624b68638d636b960715a18027163794d32fefc
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Fri Dec 13 15:02:48 2019 +0100

    source 13dfaa3c3704a5a963f9e1e5d45796472f43c80e

author	Caolán McNamara <caolanm@redhat.com>	2019-12-13 12:47:54 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2019-12-13 14:35:29 +0100
commit 13dfaa3c3704a5a963f9e1e5d45796472f43c80e (patch)
tree 4b34fb8828934c21752f6e97537e18602dc9f4dc
parent dcd3b5a52b343aa82933ba27be3396f46ee465ee (diff)
Resolves: tdf#129346 if nothing currently selected, select something
Comment 2 QA Administrators 2022-02-11 03:40:54 UTC
Dear Xisco Faulí,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug